aboutsummaryrefslogtreecommitdiffstats
path: root/lang/ezm3/scripts/check_conflicts
diff options
context:
space:
mode:
authorjdp <jdp@FreeBSD.org>2002-01-22 05:43:41 +0800
committerjdp <jdp@FreeBSD.org>2002-01-22 05:43:41 +0800
commit70c1a0b794f55027b4fd08fc37afa8e2c77975ce (patch)
treed6eedfb4b109d1a1fa99e5b604a246eae9eed0fc /lang/ezm3/scripts/check_conflicts
parent340c03f9a42e12222674f2ce7aa345a70f0dd6d2 (diff)
downloadfreebsd-ports-gnome-70c1a0b794f55027b4fd08fc37afa8e2c77975ce.tar.gz
freebsd-ports-gnome-70c1a0b794f55027b4fd08fc37afa8e2c77975ce.tar.zst
freebsd-ports-gnome-70c1a0b794f55027b4fd08fc37afa8e2c77975ce.zip
Add a pre-install target which checks for conflicting shared
libraries left over from other Modula-3 ports.
Diffstat (limited to 'lang/ezm3/scripts/check_conflicts')
-rw-r--r--lang/ezm3/scripts/check_conflicts15
1 files changed, 15 insertions, 0 deletions
diff --git a/lang/ezm3/scripts/check_conflicts b/lang/ezm3/scripts/check_conflicts
new file mode 100644
index 000000000000..0610f783f80e
--- /dev/null
+++ b/lang/ezm3/scripts/check_conflicts
@@ -0,0 +1,15 @@
+#! /bin/sh
+# Check for shared libraries left over from another Modula-3 port.
+
+libdir=${PREFIX}/lib/m3/${TARGET}
+
+case "`echo ${libdir}/lib*.so*`" in
+"${libdir}/lib*.so*")
+ exit 0;;
+*)
+ echo ""
+ echo "You have some Modula-3 shared libraries in ${libdir}"
+ echo "which conflict with ezm3. Please use pkg_delete to remove other"
+ echo "versions of Modula-3, such as \"modula-3*\" and \"pm3-*\"."
+ exit 1;;
+esac